!-------------------------------------------------
!  RNMlib Module
!-------------------------------------------------
module rnmlib
  use dcl_common
  contains

    function DclRunningMean(rx,nb)  !移動平均を計算する． ．
      real, intent(in), dimension(:) :: rx !移動平均を計算する実数型の配列
      real,      dimension(size(rx)) :: DclRunningMean !計算結果を納める実数型の配列
      integer,   intent(in) :: nb                 !移動平均をとるデータ長

      call vrrnm(rx,DclRunningMean,size(rx),1,1,nb)
    end function

end module
